Skip to main content
`Ctrl`+`K`

# PetscSectionVecView

View a vector, using the section to structure the values

## Synopsis

    #include "petscsection.h"
    #include "petscvec.h"
    PetscErrorCode PetscSectionVecView(PetscSection s, Vec v, PetscViewer viewer)

Not Collective

## Input Parameters

- s - the organizing `PetscSection`

- v - the `Vec`

- viewer - the `PetscViewer`

## See Also

`PetscSection`, `PetscViewer`, `PetscSectionCreate()`, `VecSetValuesSection()`

## Level

developer

## Location

src/vec/vec/utils/vsection.c

## Examples

src/dm/impls/plex/tutorials/ex14.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages